package com.lz.modules.equipment.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.equipment.entity.SpecialApplyInfo;
import com.lz.modules.equipment.entity.model.FindByNameModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* <p>
* 其他可申领信息表 服务类
* </p>
*
* @author quyixiao
* @since 2020-07-31
*/
public interface SpecialApplyInfoService extends IService<SpecialApplyInfo> {



	SpecialApplyInfo selectSpecialApplyInfoById(Long id);


	Long insertSpecialApplyInfo(SpecialApplyInfo specialApplyInfo);


	int updateSpecialApplyInfoById(SpecialApplyInfo specialApplyInfo);


	int updateCoverSpecialApplyInfoById(SpecialApplyInfo specialApplyInfo);


	int deleteSpecialApplyInfoById(Long id);


    SpecialApplyInfo selectSpecialApplyInfoByTypeDesc(String owner);

    List<SpecialApplyInfo> selectBySearchName(@Param("page")IPage page, @Param("model")FindByNameModel nameModel);
}